Subject: Re: bug#76950: tramp caches non-existing podman containers

From: Konstantin Kharlamov <[email-masked]>
Date: Tue, 11 Mar 2025 22:45:18 +0300

Figured, I'd clarify for people who don't work with containerization:
the docker and podman completion is about auto-generated names like
vibrant_hopper, frosty_northcutt, etc. Caching them has no use
whatsoever, because:

1. The command that receives possible completions always fetches the
current list, so even if cached containers still exist, the cache only
wastes space.
2. When containers quit, the names become useless (the bug).

So cache should not be working at all for both Podman and Docker.